'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8175b0cc.js');

const headerImageCss = ":host{display:block}.header-container{position:relative;width:100%;overflow:hidden}.image-container{position:absolute;width:100%;height:100%}.image-container img{width:100%;height:100%;object-fit:cover;transform:scale(1.1);}.text-overlay{position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);text-align:center;color:white;z-index:1;width:90%}";
const HeaderImageStyle0 = headerImageCss;

const HeaderImage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.height = 200;
        this.imageBlur = 2;
    }
    render() {
        return (index.h(index.Host, { key: '38f4570e4a199f0f3cc09fe121d59474fada594b' }, index.h("div", { key: '6b8002ef02b378343d799ce8814525e4bff1517b', class: "header-container", style: { height: `${this.height}px` } }, index.h("div", { key: '550915ed0df2f4d21b48e624d86fbdfe0d41724e', class: "image-container" }, index.h("img", { key: '09879e255100564f3280e183fa4fe05569b101a0', src: this.image, alt: "Header background", style: { filter: `blur(${this.imageBlur}px)` } })), index.h("div", { key: '90c1edee4e5c3bc6c51ebcde37d25bc4ced8da57', class: "text-overlay brand" }, index.h("p", { key: '80c7a0376e0e6ee2b398724868c13e86655d0754', class: "md-typescale-title-large" }, this.subheader), index.h("h1", { key: 'd19e273c33d0687388f3693e7e4e50b778518db0', class: "md-typescale-headline-large" }, this.headline)))));
    }
};
HeaderImage.style = HeaderImageStyle0;

exports.header_image = HeaderImage;

//# sourceMappingURL=header-image.cjs.entry.js.map