import { Host, h } from "@stencil/core";
export class CallToAction {
    constructor() {
        this.href = '#';
    }
    render() {
        return (h(Host, { key: '3f17066e85b00d754584f878891ea763691d4a3b' }, h("a", { key: '41d865cfe21fd96f9822e33c84a9cc90106c3bf0', style: { textDecoration: 'none' }, href: this.href, target: "_blank", rel: "noopener noreferrer", class: `call-to-action button-filled` }, h("p", { key: '10ca71d785836c0ad457a78a6bc60d722af5fa55', class: "md-typescale-body-large call-to-action" }, h("slot", { key: '57ab7bccfba701a4b0d5f6c923dd1866a2eb1bbf' })))));
    }
    static get is() { return "call-to-action"; }
    static get originalStyleUrls() {
        return {
            "$": ["call-to-action.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["call-to-action.css"]
        };
    }
    static get properties() {
        return {
            "href": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "href",
                "reflect": false,
                "defaultValue": "'#'"
            }
        };
    }
}
//# sourceMappingURL=call-to-action.js.map
