import { h, Host } from "@stencil/core";
export class HeaderImage {
    constructor() {
        this.height = 200;
        this.imageBlur = 2;
    }
    render() {
        return (h(Host, { key: '38f4570e4a199f0f3cc09fe121d59474fada594b' }, h("div", { key: '6b8002ef02b378343d799ce8814525e4bff1517b', class: "header-container", style: { height: `${this.height}px` } }, h("div", { key: '550915ed0df2f4d21b48e624d86fbdfe0d41724e', class: "image-container" }, h("img", { key: '09879e255100564f3280e183fa4fe05569b101a0', src: this.image, alt: "Header background", style: { filter: `blur(${this.imageBlur}px)` } })), h("div", { key: '90c1edee4e5c3bc6c51ebcde37d25bc4ced8da57', class: "text-overlay brand" }, h("p", { key: '80c7a0376e0e6ee2b398724868c13e86655d0754', class: "md-typescale-title-large" }, this.subheader), h("h1", { key: 'd19e273c33d0687388f3693e7e4e50b778518db0', class: "md-typescale-headline-large" }, this.headline)))));
    }
    static get is() { return "header-image"; }
    static get originalStyleUrls() {
        return {
            "$": ["header-image.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["header-image.css"]
        };
    }
    static get properties() {
        return {
            "image": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "image",
                "reflect": false
            },
            "headline": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "headline",
                "reflect": false
            },
            "subheader": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "subheader",
                "reflect": false
            },
            "height": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "height",
                "reflect": false,
                "defaultValue": "200"
            },
            "imageBlur": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "image-blur",
                "reflect": false,
                "defaultValue": "2"
            }
        };
    }
}
//# sourceMappingURL=header-image.js.map
