import { html } from "lit";
import "./logo-grid";
export default {
    title: 'Logo Grid',
    component: 'logo-grid',
    render: args => html `
    <div style="width: 400px; height: 600px;">
      <script>
        document.querySelector('logo-grid').items = ${JSON.stringify(args.items)};
      </script>
      <logo-grid />
    </div>
  `,
};
export const Default = {
    args: {
        items: [
            {
                src: '/awa.webp',
            },
            {
                src: '/sapfbia.webp',
            },
        ],
    },
};
//# sourceMappingURL=logo-grid.stories.js.map
