import { h, Host } from "@stencil/core";
export class StackLayout {
    constructor() {
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (h(Host, { key: 'a64822f61e10f212721013a73ae80bef296335d3' }, h("div", { key: '456b7bb70a6e97de73a16e7a079278011dc31b4c', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, h("slot", { key: '9ef999f5eff6d9719b0da760c03fe63e90e6df3c' }))));
    }
    static get is() { return "stack-layout"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-layout.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-layout.css"]
        };
    }
    static get properties() {
        return {
            "overlap": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "overlap",
                "reflect": false,
                "defaultValue": "32"
            }
        };
    }
}
//# sourceMappingURL=stack-layout.js.map
