import { Host, h } from "@stencil/core";
import { loadFontAwesome } from "../../utils/load-external-resource";
export class StackProductHeader {
    async componentDidLoad() {
        await loadFontAwesome();
    }
    render() {
        return (h(Host, { key: '5b243134a1c47db5b6b17702d5263d00c3625934' }, h("div", { key: '29132a57b5097753c03d063dedbca9ccc36f46e0', class: "stack-product-header" }, h("div", { key: '1672840690f505dfb14c8d97141641f645b9e6d1' }, h("div", { key: 'df53673c8ee6d7e27c11cee152cb212d4d078ce5', class: "stack-product-header-supporting-text-container" }, h("span", { key: '4f66847977c5d3f400de54198f9518583dffa7e0', class: "icon" }, h("p", { key: '18f8fed705926169677d8a892d12e2a5a5718446', class: "fa fa-qrcode" })), h("p", { key: '093cea8664d93e0653b931f6503b7ec862925983', class: "md-typescale-title-medium stack-product-header-supporting-text" }, "You have scanned")), h("h2", { key: '1d387eb6e9577153c30b804ee1b201fe222a7803', class: "md-typescale-headline-large stack-product-header-headline" }, this.headline)), h("img", { key: 'd71ede9944b02ca2ffb6d10c3c134bfba2c7342c', class: "br-sm stack-product-header-image", src: this.imageUrl }), h("p", { key: 'c23e528df5f78ee79295c120cb3a13c558d1d218', class: "md-typescale-body-large stack-product-header-message" }, "Here is how it got here")), h("slot", { key: '7b7bc673b2350826d41d90d3dde71bca5ea09341' })));
    }
    static get is() { return "stack-product-header"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-product-header.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-product-header.css"]
        };
    }
    static get properties() {
        return {
            "headline": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "headline",
                "reflect": false
            },
            "imageUrl": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "image-url",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=stack-product-header.js.map
