import { h, Host } from "@stencil/core";
export class StackSectionBlockImage {
    constructor() {
        // Optional prop for max height (default 400px)
        this.maxHeight = 400;
    }
    render() {
        return (h(Host, { key: '4f289c7d973e5fcc27b0e8d0b97cc00d05b9c9d5' }, h("div", { key: 'c3f989cbc5142631cdb8025ea7b67727cbad05fd', class: "container", style: { maxHeight: `${this.maxHeight}px` } }, h("img", { key: '0158100df8c22f9ccdd08e68e54f8d0b200ef8ed', src: this.url, alt: "Stack Section Block Image", style: {
                width: '100%',
                height: '100%',
                objectFit: 'contain',
            } }))));
    }
    static get is() { return "stack-section-block-image"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-section-block-image.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-section-block-image.css"]
        };
    }
    static get properties() {
        return {
            "url": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "url",
                "reflect": false
            },
            "maxHeight": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "max-height",
                "reflect": false,
                "defaultValue": "400"
            }
        };
    }
}
//# sourceMappingURL=stack-section-block-image.js.map
