import { h, Host } from "@stencil/core";
export class StackSectionBlockVideo {
    constructor() {
        this.code = 'x75fdruh6bqg6lte';
        this.paddingTop = 75;
        this.marginBottom = -10;
    }
    render() {
        const poster = `https://customer-${this.code}.cloudflarestream.com/${this.videoId}/thumbnails/thumbnail.jpg`;
        return (h(Host, { key: 'faddb63cbd790ec295939b09e8ffb3a5c694d2bd' }, h("div", { key: 'd2891b39367f47b03ab304aaf82fbcc07d3aef31', class: "video-container", style: { paddingTop: `${this.paddingTop}%`, marginBottom: `${this.marginBottom}px` } }, h("iframe", { key: '7a6a8cbb2a3a98f4b89fabbbc02e7b017d567c5e', src: `https://customer-${this.code}.cloudflarestream.com/${this.videoId}/iframe?muted=true&preload=true&loop=true&autoplay=true&controls=false&poster=${poster}`, loading: "lazy", allow: "accelerometer; gyroscope; autoplay; encrypted-media; picture-in-picture;", allowFullScreen: true }))));
    }
    static get is() { return "stack-section-block-video"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-section-block-video.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-section-block-video.css"]
        };
    }
    static get properties() {
        return {
            "code": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "code",
                "reflect": false,
                "defaultValue": "'x75fdruh6bqg6lte'"
            },
            "videoId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "video-id",
                "reflect": false
            },
            "paddingTop": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "padding-top",
                "reflect": false,
                "defaultValue": "75"
            },
            "marginBottom": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "margin-bottom",
                "reflect": false,
                "defaultValue": "-10"
            }
        };
    }
}
//# sourceMappingURL=stack-section-block-video.js.map
