import { p as proxyCustomElement, H, h, c as Host } from './p-8ff27614.js';

const callToActionCss = ":host{display:block}";
const CallToActionStyle0 = callToActionCss;

const CallToAction$1 = /*@__PURE__*/ proxyCustomElement(class CallToAction extends H {
    constructor() {
        super();
        this.__registerHost();
        this.href = '#';
    }
    render() {
        return (h(Host, { key: '3f17066e85b00d754584f878891ea763691d4a3b' }, h("a", { key: '41d865cfe21fd96f9822e33c84a9cc90106c3bf0', style: { textDecoration: 'none' }, href: this.href, target: "_blank", rel: "noopener noreferrer", class: `call-to-action button-filled` }, h("p", { key: '10ca71d785836c0ad457a78a6bc60d722af5fa55', class: "md-typescale-body-large call-to-action" }, h("slot", { key: '57ab7bccfba701a4b0d5f6c923dd1866a2eb1bbf' })))));
    }
    static get style() { return CallToActionStyle0; }
}, [4, "call-to-action", {
        "href": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["call-to-action"];
    components.forEach(tagName => { switch (tagName) {
        case "call-to-action":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CallToAction$1);
            }
            break;
    } });
}
defineCustomElement$1();

const CallToAction = CallToAction$1;
const defineCustomElement = defineCustomElement$1;

export { CallToAction, defineCustomElement };

//# sourceMappingURL=call-to-action.js.map