import { p as proxyCustomElement, H, h, c as Host } from './p-8ff27614.js';

const logoGridCss = ":host{display:block}.grid{display:flex;flex-direction:row;flex-wrap:wrap;justify-content:space-around;gap:8px}.grid-item-6{max-width:calc(50% - 8px)}.grid-item{border-radius:var(--md-sys-shape-corner-small);border-top-right-radius:var(--md-sys-shape-corner-small);overflow:hidden}";
const LogoGridStyle0 = logoGridCss;

const LogoGrid$1 = /*@__PURE__*/ proxyCustomElement(class LogoGrid extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.items = [];
        this.itemHeight = 100;
    }
    render() {
        return (h(Host, { key: '0bd870aa400eee5c3d6fd92c6cd24f10ec90c904' }, h("div", { key: '83e896946344ad8fad1b784c7e27170514e24155', class: "grid" }, this.items.map(item => (h("div", { class: "grid-item grid-item-6", style: { maxHeight: `${this.itemHeight}px`, height: `${this.itemHeight}px` } }, h("img", { src: item.src, alt: item.alt, style: { maxHeight: `100%`, height: `100%` } })))))));
    }
    static get style() { return LogoGridStyle0; }
}, [1, "logo-grid", {
        "items": [16],
        "itemHeight": [2, "item-height"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["logo-grid"];
    components.forEach(tagName => { switch (tagName) {
        case "logo-grid":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LogoGrid$1);
            }
            break;
    } });
}
defineCustomElement$1();

const LogoGrid = LogoGrid$1;
const defineCustomElement = defineCustomElement$1;

export { LogoGrid, defineCustomElement };

//# sourceMappingURL=logo-grid.js.map