import { p as proxyCustomElement, H, h, c as Host } from './p-8ff27614.js';

const mobileContainerCss = ":host{display:block}.mobile-container{width:100vw;height:100vh;background-color:#1a1a1a;overflow:hidden}.mobile-container-content{padding:0;margin:auto;max-width:400px;height:100%;background-color:var(--md-sys-color-surface-container);overflow-y:auto;-ms-overflow-style:none;scrollbar-width:none;-webkit-overflow-scrolling:touch;overscroll-behavior:none;}.mobile-container-content::-webkit-scrollbar{display:none;}";
const MobileContainerStyle0 = mobileContainerCss;

const MobileContainer$1 = /*@__PURE__*/ proxyCustomElement(class MobileContainer extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h(Host, { key: 'ffd9366e860697799ea55a9b058c1b39818f4316' }, h("div", { key: '53410d9c176a07ca5b6abc3d10322a87d1859e03', class: "mobile-container" }, h("div", { key: 'af70a11422d0d6cf723e60b2b4cff0cf003117f0', class: "mobile-container-content" }, h("slot", { key: 'dd315f379ae18ea869a37ebfbda02b4f7732e258' })))));
    }
    static get style() { return MobileContainerStyle0; }
}, [1, "mobile-container"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mobile-container"];
    components.forEach(tagName => { switch (tagName) {
        case "mobile-container":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, MobileContainer$1);
            }
            break;
    } });
}
defineCustomElement$1();

const MobileContainer = MobileContainer$1;
const defineCustomElement = defineCustomElement$1;

export { MobileContainer, defineCustomElement };

//# sourceMappingURL=mobile-container.js.map