import { p as proxyCustomElement, H, h, c as Host } from './p-8ff27614.js';

const stackSectionBlockVideoCss = ":host{display:block;width:100%}.video-container{border-top-left-radius:var(--md-sys-shape-corner-small);border-top-right-radius:var(--md-sys-shape-corner-small);overflow:hidden;position:relative;width:100%;background-color:var(--md-sys-color-surface)}iframe{border:none;position:absolute;top:0;left:0;height:100%;width:100%}";
const StackSectionBlockVideoStyle0 = stackSectionBlockVideoCss;

const StackSectionBlockVideo$1 = /*@__PURE__*/ proxyCustomElement(class StackSectionBlockVideo extends H {
    constructor() {
        super();
        this.__registerHost();
        this.code = 'x75fdruh6bqg6lte';
        this.paddingTop = 75;
        this.marginBottom = -10;
    }
    render() {
        const poster = `https://customer-${this.code}.cloudflarestream.com/${this.videoId}/thumbnails/thumbnail.jpg`;
        return (h(Host, { key: 'faddb63cbd790ec295939b09e8ffb3a5c694d2bd' }, h("div", { key: 'd2891b39367f47b03ab304aaf82fbcc07d3aef31', class: "video-container", style: { paddingTop: `${this.paddingTop}%`, marginBottom: `${this.marginBottom}px` } }, h("iframe", { key: '7a6a8cbb2a3a98f4b89fabbbc02e7b017d567c5e', src: `https://customer-${this.code}.cloudflarestream.com/${this.videoId}/iframe?muted=true&preload=true&loop=true&autoplay=true&controls=false&poster=${poster}`, loading: "lazy", allow: "accelerometer; gyroscope; autoplay; encrypted-media; picture-in-picture;", allowFullScreen: true }))));
    }
    static get style() { return StackSectionBlockVideoStyle0; }
}, [0, "stack-section-block-video", {
        "code": [1],
        "videoId": [1, "video-id"],
        "paddingTop": [2, "padding-top"],
        "marginBottom": [2, "margin-bottom"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stack-section-block-video"];
    components.forEach(tagName => { switch (tagName) {
        case "stack-section-block-video":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StackSectionBlockVideo$1);
            }
            break;
    } });
}
defineCustomElement$1();

const StackSectionBlockVideo = StackSectionBlockVideo$1;
const defineCustomElement = defineCustomElement$1;

export { StackSectionBlockVideo, defineCustomElement };

//# sourceMappingURL=stack-section-block-video.js.map