import { r as registerInstance, h, H as Host } from './index-329965a3.js';

const stackLayoutCss = "stack-layout{display:block;position:relative}.stack-container{position:relative;display:flex;flex-direction:column;isolation:isolate}.stack-container>*{position:relative;margin-top:calc(var(--overlap) * -1);z-index:1}";
const StackLayoutStyle0 = stackLayoutCss;

const StackLayout = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (h(Host, { key: 'a64822f61e10f212721013a73ae80bef296335d3' }, h("div", { key: '456b7bb70a6e97de73a16e7a079278011dc31b4c', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, h("slot", { key: '9ef999f5eff6d9719b0da760c03fe63e90e6df3c' }))));
    }
};
StackLayout.style = StackLayoutStyle0;

export { StackLayout as stack_layout };

//# sourceMappingURL=stack-layout.entry.js.map