import { r as registerInstance, h, H as Host } from './index-329965a3.js';

const stackSectionBlockImageCss = ":host{display:block}.container{border-top-left-radius:var(--md-sys-shape-corner-extra-small);border-top-right-radius:var(--md-sys-shape-corner-extra-small);width:100%;display:flex;justify-content:center;align-items:center;overflow:hidden}.container>img{width:100%;object-fit:cover}";
const StackSectionBlockImageStyle0 = stackSectionBlockImageCss;

const StackSectionBlockImage = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        // Optional prop for max height (default 400px)
        this.maxHeight = 400;
    }
    render() {
        return (h(Host, { key: '4f289c7d973e5fcc27b0e8d0b97cc00d05b9c9d5' }, h("div", { key: 'c3f989cbc5142631cdb8025ea7b67727cbad05fd', class: "container", style: { maxHeight: `${this.maxHeight}px` } }, h("img", { key: '0158100df8c22f9ccdd08e68e54f8d0b200ef8ed', src: this.url, alt: "Stack Section Block Image", style: {
                width: '100%',
                height: '100%',
                objectFit: 'contain',
            } }))));
    }
};
StackSectionBlockImage.style = StackSectionBlockImageStyle0;

export { StackSectionBlockImage as stack_section_block_image };

//# sourceMappingURL=stack-section-block-image.entry.js.map