import { Meta } from '@storybook/web-components';
import './stack-section';
import type { StackSection } from './stack-section';
declare const _default: Meta<StackSection>;
export default _default;
export declare const Default: {
    args: {
        headline: string;
        subtitle: string;
    };
};
export declare const Primary: {
    args: {
        headline: string;
        subtitle: string;
        variant: "primary";
    };
};
export declare const Secondary: {
    args: {
        headline: string;
        subtitle: string;
        variant: "secondary";
    };
};
export declare const Tertiary: {
    args: {
        headline: string;
        subtitle: string;
        variant: "tertiary";
    };
};
export declare const Surface: {
    args: {
        headline: string;
        subtitle: string;
        variant: "surface";
    };
};
export declare const SurfaceVariant: {
    args: {
        headline: string;
        subtitle: string;
        variant: "surface-variant";
    };
};
