'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8175b0cc.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.24.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('canvas.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["call-to-action.cjs",[[4,"call-to-action",{"href":[1]}]]],["header-image.cjs",[[0,"header-image",{"image":[1],"headline":[1],"subheader":[1],"height":[2],"imageBlur":[2,"image-blur"]}]]],["logo-grid.cjs",[[1,"logo-grid",{"items":[16],"itemHeight":[2,"item-height"]}]]],["mobile-container.cjs",[[1,"mobile-container"]]],["stack-layout.cjs",[[4,"stack-layout",{"overlap":[2]}]]],["stack-product-header.cjs",[[4,"stack-product-header",{"headline":[1],"imageUrl":[1,"image-url"]}]]],["stack-section.cjs",[[4,"stack-section",{"headline":[1],"subtitle":[1],"variant":[1],"paddingBottom":[2,"padding-bottom"]}]]],["stack-section-block-image.cjs",[[0,"stack-section-block-image",{"url":[1],"maxHeight":[2,"max-height"]}]]],["stack-section-block-video.cjs",[[0,"stack-section-block-video",{"code":[1],"videoId":[1,"video-id"],"paddingTop":[2,"padding-top"],"marginBottom":[2,"margin-bottom"]}]]],["stack-section-footer-socials.cjs",[[0,"stack-section-footer-socials",{"facebook":[1],"instagram":[1],"x":[1],"linkedin":[1],"youtube":[1],"website":[1]}]]],["stack-section-map.cjs",[[0,"stack-section-map",{"accessToken":[1,"access-token"],"zoom":[2],"height":[2],"center":[16],"markers":[16],"mapStyle":[1,"map-style"],"markerColor":[1,"marker-color"],"polygonColor":[1,"polygon-color"],"polygon":[16],"mapInstance":[32]}]]],["trust-provenance-footer.cjs",[[0,"trust-provenance-footer"]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=canvas.cjs.js.map