'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8175b0cc.js');

const stackLayoutCss = "stack-layout{display:block;position:relative}.stack-container{position:relative;display:flex;flex-direction:column;isolation:isolate}.stack-container>*{position:relative;margin-top:calc(var(--overlap) * -1);z-index:1}";
const StackLayoutStyle0 = stackLayoutCss;

const StackLayout = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (index.h(index.Host, { key: 'a64822f61e10f212721013a73ae80bef296335d3' }, index.h("div", { key: '456b7bb70a6e97de73a16e7a079278011dc31b4c', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, index.h("slot", { key: '9ef999f5eff6d9719b0da760c03fe63e90e6df3c' }))));
    }
};
StackLayout.style = StackLayoutStyle0;

exports.stack_layout = StackLayout;

//# sourceMappingURL=stack-layout.cjs.entry.js.map