'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8175b0cc.js');
const loadExternalResource = require('./load-external-resource-0133fa78.js');

const stackProductHeaderCss = ":host{display:block}.icon{font-size:1.4em;width:28px;height:28px;display:flex;align-items:center;justify-content:center;color:var(--md-sys-color-on-surface)}.icon>*{color:var(--md-sys-color-on-surface)}.icon:hover{opacity:0.7}.stack-product-header{display:flex;flex-direction:column;background-color:var(--md-sys-color-surface);margin:0;gap:0;gap:8px;text-align:left;padding:8px}.stack-product-header-image{max-width:96%;height:200px;margin:0 auto}.stack-product-header-headline{color:var(--md-sys-color-on-surface);margin:0px}.stack-product-header-supporting-text{color:var(--md-sys-color-on-surface);margin:0px}.stack-product-header-supporting-text-container{display:flex;flex-direction:row;justify-content:flex-start;align-items:center;width:100%;margin:0px;gap:4px}.stack-product-header-message{text-align:center;color:var(--md-sys-color-on-surface)}";
const StackProductHeaderStyle0 = stackProductHeaderCss;

const StackProductHeader = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    async componentDidLoad() {
        await loadExternalResource.loadFontAwesome();
    }
    render() {
        return (index.h(index.Host, { key: '5b243134a1c47db5b6b17702d5263d00c3625934' }, index.h("div", { key: '29132a57b5097753c03d063dedbca9ccc36f46e0', class: "stack-product-header" }, index.h("div", { key: '1672840690f505dfb14c8d97141641f645b9e6d1' }, index.h("div", { key: 'df53673c8ee6d7e27c11cee152cb212d4d078ce5', class: "stack-product-header-supporting-text-container" }, index.h("span", { key: '4f66847977c5d3f400de54198f9518583dffa7e0', class: "icon" }, index.h("p", { key: '18f8fed705926169677d8a892d12e2a5a5718446', class: "fa fa-qrcode" })), index.h("p", { key: '093cea8664d93e0653b931f6503b7ec862925983', class: "md-typescale-title-medium stack-product-header-supporting-text" }, "You have scanned")), index.h("h2", { key: '1d387eb6e9577153c30b804ee1b201fe222a7803', class: "md-typescale-headline-large stack-product-header-headline" }, this.headline)), index.h("img", { key: 'd71ede9944b02ca2ffb6d10c3c134bfba2c7342c', class: "br-sm stack-product-header-image", src: this.imageUrl }), index.h("p", { key: 'c23e528df5f78ee79295c120cb3a13c558d1d218', class: "md-typescale-body-large stack-product-header-message" }, "Here is how it got here")), index.h("slot", { key: '7b7bc673b2350826d41d90d3dde71bca5ea09341' })));
    }
};
StackProductHeader.style = StackProductHeaderStyle0;

exports.stack_product_header = StackProductHeader;

//# sourceMappingURL=stack-product-header.cjs.entry.js.map