import { Host, h } from "@stencil/core";
export class LogoGrid {
    constructor() {
        this.items = [];
        this.itemHeight = 100;
    }
    render() {
        return (h(Host, { key: '0bd870aa400eee5c3d6fd92c6cd24f10ec90c904' }, h("div", { key: '83e896946344ad8fad1b784c7e27170514e24155', class: "grid" }, this.items.map(item => (h("div", { class: "grid-item grid-item-6", style: { maxHeight: `${this.itemHeight}px`, height: `${this.itemHeight}px` } }, h("img", { src: item.src, alt: item.alt, style: { maxHeight: `100%`, height: `100%` } })))))));
    }
    static get is() { return "logo-grid"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["logo-grid.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["logo-grid.css"]
        };
    }
    static get properties() {
        return {
            "items": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "LogoGridItem[]",
                    "resolved": "LogoGridItem[]",
                    "references": {
                        "LogoGridItem": {
                            "location": "local",
                            "path": "/home/runner/work/trust-stack-js/trust-stack-js/packages/canvas-components/src/components/logo-grid/logo-grid.tsx",
                            "id": "src/components/logo-grid/logo-grid.tsx::LogoGridItem"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "[]"
            },
            "itemHeight": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "item-height",
                "reflect": false,
                "defaultValue": "100"
            }
        };
    }
}
//# sourceMappingURL=logo-grid.js.map
