import { p as proxyCustomElement, H, h, c as Host } from './p-8ff27614.js';

const stackLayoutCss = "stack-layout{display:block;position:relative}.stack-container{position:relative;display:flex;flex-direction:column;isolation:isolate}.stack-container>*{position:relative;margin-top:calc(var(--overlap) * -1);z-index:1}";
const StackLayoutStyle0 = stackLayoutCss;

const StackLayout$1 = /*@__PURE__*/ proxyCustomElement(class StackLayout extends H {
    constructor() {
        super();
        this.__registerHost();
        this.overlap = 32; // Default overlap in pixels
    }
    render() {
        return (h(Host, { key: 'a64822f61e10f212721013a73ae80bef296335d3' }, h("div", { key: '456b7bb70a6e97de73a16e7a079278011dc31b4c', class: `stack-container`, style: { '--overlap': `${this.overlap}px` } }, h("slot", { key: '9ef999f5eff6d9719b0da760c03fe63e90e6df3c' }))));
    }
    static get style() { return StackLayoutStyle0; }
}, [4, "stack-layout", {
        "overlap": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stack-layout"];
    components.forEach(tagName => { switch (tagName) {
        case "stack-layout":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StackLayout$1);
            }
            break;
    } });
}
defineCustomElement$1();

const StackLayout = StackLayout$1;
const defineCustomElement = defineCustomElement$1;

export { StackLayout, defineCustomElement };

//# sourceMappingURL=stack-layout.js.map