import { p as proxyCustomElement, H, h, c as Host } from './p-8ff27614.js';

const stackSectionCss = ":host{display:block}.card>h2,.card>p{margin:0}.card>h2{margin-top:12px !important}.card>p{margin-bottom:12px !important}";
const StackSectionStyle0 = stackSectionCss;

const StackSection$1 = /*@__PURE__*/ proxyCustomElement(class StackSection extends H {
    constructor() {
        super();
        this.__registerHost();
        this.paddingBottom = 20;
    }
    render() {
        // Default is surface-container
        const container = this.variant ? `${this.variant}-container` : 'surface-container';
        return (h(Host, { key: '68a6cb6e8128ca12f5c5dc9cf50ea7c2a20ba60d' }, h("div", { key: '06614edca63593dc5558aac9d806626462e541be', class: `elevation-5 card br-t-md ${container}`, style: { textAlign: 'center', paddingBottom: `${this.paddingBottom}px` } }, h("md-elevation", { key: '4f2901317667fa778b80cf9d29ac7e4dc3dd5af8' }), this.headline && h("h2", { key: 'bb6f4036031db9011a4c3d3aeba22d22435a97bb', class: "md-typescale-headline-small" }, this.headline), this.subtitle && h("p", { key: 'b50686af69c17ba1b40540b89980c0e98d60bf24', class: "md-typescale-title-medium" }, this.subtitle), h("slot", { key: '0e81c11a0e2d3f18f2c8f10da6e23301b97bff64' }))));
    }
    static get style() { return StackSectionStyle0; }
}, [4, "stack-section", {
        "headline": [1],
        "subtitle": [1],
        "variant": [1],
        "paddingBottom": [2, "padding-bottom"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["stack-section"];
    components.forEach(tagName => { switch (tagName) {
        case "stack-section":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StackSection$1);
            }
            break;
    } });
}
defineCustomElement$1();

const StackSection = StackSection$1;
const defineCustomElement = defineCustomElement$1;

export { StackSection, defineCustomElement };

//# sourceMappingURL=stack-section.js.map