import { p as promiseResolve, b as bootstrapLazy } from './index-329965a3.js';
export { s as setNonce } from './index-329965a3.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Browser v4.24.0 | MIT Licensed | https://stenciljs.com
 */
var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["call-to-action",[[4,"call-to-action",{"href":[1]}]]],["header-image",[[0,"header-image",{"image":[1],"headline":[1],"subheader":[1],"height":[2],"imageBlur":[2,"image-blur"]}]]],["logo-grid",[[1,"logo-grid",{"items":[16],"itemHeight":[2,"item-height"]}]]],["mobile-container",[[1,"mobile-container"]]],["stack-layout",[[4,"stack-layout",{"overlap":[2]}]]],["stack-product-header",[[4,"stack-product-header",{"headline":[1],"imageUrl":[1,"image-url"]}]]],["stack-section",[[4,"stack-section",{"headline":[1],"subtitle":[1],"variant":[1],"paddingBottom":[2,"padding-bottom"]}]]],["stack-section-block-image",[[0,"stack-section-block-image",{"url":[1],"maxHeight":[2,"max-height"]}]]],["stack-section-block-video",[[0,"stack-section-block-video",{"code":[1],"videoId":[1,"video-id"],"paddingTop":[2,"padding-top"],"marginBottom":[2,"margin-bottom"]}]]],["stack-section-footer-socials",[[0,"stack-section-footer-socials",{"facebook":[1],"instagram":[1],"x":[1],"linkedin":[1],"youtube":[1],"website":[1]}]]],["stack-section-map",[[0,"stack-section-map",{"accessToken":[1,"access-token"],"zoom":[2],"height":[2],"center":[16],"markers":[16],"mapStyle":[1,"map-style"],"markerColor":[1,"marker-color"],"polygonColor":[1,"polygon-color"],"polygon":[16],"mapInstance":[32]}]]],["trust-provenance-footer",[[0,"trust-provenance-footer"]]]], options);
});

//# sourceMappingURL=canvas.js.map