import { r as registerInstance, h, H as Host } from './index-329965a3.js';

const logoGridCss = ":host{display:block}.grid{display:flex;flex-direction:row;flex-wrap:wrap;justify-content:space-around;gap:8px}.grid-item-6{max-width:calc(50% - 8px)}.grid-item{border-radius:var(--md-sys-shape-corner-small);border-top-right-radius:var(--md-sys-shape-corner-small);overflow:hidden}";
const LogoGridStyle0 = logoGridCss;

const LogoGrid = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.items = [];
        this.itemHeight = 100;
    }
    render() {
        return (h(Host, { key: '0bd870aa400eee5c3d6fd92c6cd24f10ec90c904' }, h("div", { key: '83e896946344ad8fad1b784c7e27170514e24155', class: "grid" }, this.items.map(item => (h("div", { class: "grid-item grid-item-6", style: { maxHeight: `${this.itemHeight}px`, height: `${this.itemHeight}px` } }, h("img", { src: item.src, alt: item.alt, style: { maxHeight: `100%`, height: `100%` } })))))));
    }
};
LogoGrid.style = LogoGridStyle0;

export { LogoGrid as logo_grid };

//# sourceMappingURL=logo-grid.entry.js.map