import { r as registerInstance, h, H as Host } from './index-329965a3.js';

const mobileContainerCss = ":host{display:block}.mobile-container{width:100vw;height:100vh;background-color:#1a1a1a;overflow:hidden}.mobile-container-content{padding:0;margin:auto;max-width:400px;height:100%;background-color:var(--md-sys-color-surface-container);overflow-y:auto;-ms-overflow-style:none;scrollbar-width:none;-webkit-overflow-scrolling:touch;overscroll-behavior:none;}.mobile-container-content::-webkit-scrollbar{display:none;}";
const MobileContainerStyle0 = mobileContainerCss;

const MobileContainer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { key: 'ffd9366e860697799ea55a9b058c1b39818f4316' }, h("div", { key: '53410d9c176a07ca5b6abc3d10322a87d1859e03', class: "mobile-container" }, h("div", { key: 'af70a11422d0d6cf723e60b2b4cff0cf003117f0', class: "mobile-container-content" }, h("slot", { key: 'dd315f379ae18ea869a37ebfbda02b4f7732e258' })))));
    }
};
MobileContainer.style = MobileContainerStyle0;

export { MobileContainer as mobile_container };

//# sourceMappingURL=mobile-container.entry.js.map