import { r as registerInstance, h, H as Host } from './index-329965a3.js';

const stackSectionBlockVideoCss = ":host{display:block;width:100%}.video-container{border-top-left-radius:var(--md-sys-shape-corner-small);border-top-right-radius:var(--md-sys-shape-corner-small);overflow:hidden;position:relative;width:100%;background-color:var(--md-sys-color-surface)}iframe{border:none;position:absolute;top:0;left:0;height:100%;width:100%}";
const StackSectionBlockVideoStyle0 = stackSectionBlockVideoCss;

const StackSectionBlockVideo = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.code = 'x75fdruh6bqg6lte';
        this.paddingTop = 75;
        this.marginBottom = -10;
    }
    render() {
        const poster = `https://customer-${this.code}.cloudflarestream.com/${this.videoId}/thumbnails/thumbnail.jpg`;
        return (h(Host, { key: 'faddb63cbd790ec295939b09e8ffb3a5c694d2bd' }, h("div", { key: 'd2891b39367f47b03ab304aaf82fbcc07d3aef31', class: "video-container", style: { paddingTop: `${this.paddingTop}%`, marginBottom: `${this.marginBottom}px` } }, h("iframe", { key: '7a6a8cbb2a3a98f4b89fabbbc02e7b017d567c5e', src: `https://customer-${this.code}.cloudflarestream.com/${this.videoId}/iframe?muted=true&preload=true&loop=true&autoplay=true&controls=false&poster=${poster}`, loading: "lazy", allow: "accelerometer; gyroscope; autoplay; encrypted-media; picture-in-picture;", allowFullScreen: true }))));
    }
};
StackSectionBlockVideo.style = StackSectionBlockVideoStyle0;

export { StackSectionBlockVideo as stack_section_block_video };

//# sourceMappingURL=stack-section-block-video.entry.js.map