import { r as registerInstance, h, H as Host } from './index-329965a3.js';
import { l as loadFontAwesome } from './load-external-resource-a5d0a561.js';

const stackSectionFooterSocialsCss = ":host{display:block;width:100%}.stack-section-footer-socials-container{display:flex;flex-direction:row;gap:12px;align-items:center;justify-content:center;padding:var(--md-sys-spacing-small);background-color:var(--md-sys-color-surface-variant);height:60;padding-bottom:140px}.icon{font-size:1.5em;border-radius:50%;background-color:var(--md-sys-color-surface);width:40px;height:40px;display:flex;align-items:center;justify-content:center}.icon:hover{opacity:0.7}.icon>a{text-decoration:none;color:var(--md-sys-color-on-surface)}";
const StackSectionFooterSocialsStyle0 = stackSectionFooterSocialsCss;

const StackSectionFooterSocials = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    async componentDidLoad() {
        await loadFontAwesome();
    }
    render() {
        return (h(Host, { key: '00fb4a1f0c3f524f488e4ea3ef1286c210c51edd' }, h("div", { key: '1994d6f22e5710a2d375a20eaf6fc774daafa2c4', class: "stack-section-footer-socials-container" }, this.facebook && (h("span", { key: 'd80777db963bc38994511b09396aee3d34da221e', class: "icon" }, h("a", { key: '39bcb40a7aae02a612ca07ff70c536ecf5dde94f', href: this.facebook, class: "fa fa-facebook", target: "_blank", rel: "noopener noreferrer" }))), this.instagram && (h("span", { key: '5de69383dcf6057196968fd3cc3d35d2e1704333', class: "icon" }, h("a", { key: 'f6b37d3644a1413f4f11b5ccb1f3c1e8dddeca26', href: this.instagram, class: "fa fa-instagram", target: "_blank", rel: "noopener noreferrer" }))), this.x && (h("span", { key: '237d043e0690a34908a4536590b01ad4da8d76d2', class: "icon" }, h("a", { key: '6e91cfa952a7464233dfb69fef951105d44a5279', href: this.x, class: "fa fa-twitter", target: "_blank", rel: "noopener noreferrer" }))), this.linkedin && (h("span", { key: '681a59710578db60376dcd62dfdadd85e632431f', class: "icon" }, h("a", { key: 'b6e882e81dbe775a021dbef1e3a53cf52b62e7cb', href: this.linkedin, class: "fa fa-linkedin", target: "_blank", rel: "noopener noreferrer" }))), this.youtube && (h("span", { key: '03b6bb8ff282de71b891f108fc417ae945e7eb26', class: "icon" }, h("a", { key: 'f15f3c8330b7082102f96bd5042a060a9543290d', href: this.youtube, class: "fa fa-youtube", target: "_blank", rel: "noopener noreferrer" }))), this.website && (h("span", { key: 'cd7c92cbea8a641dd6377882ebcf7d42bc27b107', class: "icon" }, h("a", { key: '0e905eeb2fdaf24b727821e6ed2d9cec87d78884', href: this.website, class: "fa fa-globe", target: "_blank", rel: "noopener noreferrer" }))))));
    }
};
StackSectionFooterSocials.style = StackSectionFooterSocialsStyle0;

export { StackSectionFooterSocials as stack_section_footer_socials };

//# sourceMappingURL=stack-section-footer-socials.entry.js.map